@import url('https://fonts.googleapis.com/css2?family=Tektur:wght@400..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=JetBrains+Mono:ital,wght@0,100..800;1,100..800&family=Red+Hat+Mono:ital,wght@0,300..700;1,300..700&display=swap');

html {
    --primary-color: #2C2620;
    --secondary-color: #37302B;
    --ternary-color: lightgreen;
    --text-color: white;
    --nav-height: 10vh;
    --default-font: Tektur;
    --term-bg-color: #3b4252;
}

* {
    margin: 0;
    padding: 0;
    font-family: var(--default-font);
    color: var(--text-color);
}

#title {
    font-size: 5em;
}

nav {
    background-color: var(--primary-color);
    height: var(--nav-height);
    font-weight: bold;
}

ul {
    height: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
}

li {
    list-style-type: none;
}

ul>li {
    align-self: center;
}

a {
    text-decoration: none;
}

section a {
    text-decoration: underline;
}

a:hover {
    color: var(--ternary-color);
}

main {
    background-color: var(--secondary-color);
    height: calc(100vh - var(--nav-height));
    width: 100vw;
    
}

#cursor1,#cursor2 {
    animation: blink-animation 1s steps(5, start) infinite;
  -webkit-animation: blink-animation 1s steps(5, start) infinite;
}
@keyframes blink-animation {
  to {
    visibility: hidden;
  }
}
@-webkit-keyframes blink-animation {
  to {
    visibility: hidden;
  }
}

#term-container {
        display: flex;
        flex-direction: row;
        justify-content: center;
}

#terminal {
        align-self: center;
        height: 75vh;
        width: 80vw;
        background-color: var(--term-bg-color);
        border: 2px solid white;
        padding: 5px;
}

#terminal p {
        font-family: Jetbrains Mono;
}

.cmd-line {
        display: flex;
        flex-direction: row;
        justify-content: flex-start;
}

#user {
        color: #19c41c;
}

#dir {
        color: #457be8;

}

#presParagraphe {

}

#presSection {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
}